Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Participation

List
GET /calendarmodules/{moduleId}/calendars/{calendarId}/participation
https://api.relesysapp.net/api/v1.4/calendarmodules/{moduleId}/calendars/{calendarId}/participation
Get a list of event participations.

attendanceConfirmed will only be set if attendance confirmation is enabled on the related calendar event - otherwise it will be null.

Default sort is by creationDateTime in ascending order.
Scopes: relesys.api, relesys.api:read, relesys.api.calendars, relesys.api.calendars:read
URL Path
moduleId string / guid required
calendarId string / guid required
Query String
attendanceConfirmed boolean Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
eventId string / guid Filterable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
status string Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":3,"data":[{"id":"b77b797c-5e16-4ea2-a15f-a200fe6035f3","url":null,"eventId":"399363c1-7b93-43a5-af56-fde2d66db94f","eventUrl":null,"userId":"54999f67-dd2e-472e-b2fa-5305656ba929","userUrl":null,"status":"Attending","attendanceConfirmed":false,"fillingId":"c4d740e0-0ede-4eb8-8f8f-237d27a76699","fillingUrl":null,"creationDateTime":"2026-10-22T04:14:42.4534378+00:00","lastModifiedDateTime":"2026-10-23T04:14:42.4534378+00:00"},{"id":"e97ab97d-e8d5-493e-a83c-c3b6d398b283","url":null,"eventId":"2f223d42-3b92-41b0-84e3-76c4c59e08d1","eventUrl":null,"userId":"1deeb8c3-eaa8-4c5f-acb5-d5e3ccf1bf6c","userUrl":null,"status":"Tentative","attendanceConfirmed":true,"fillingId":null,"fillingUrl":null,"creationDateTime":"2026-10-23T04:14:42.4534378+00:00","lastModifiedDateTime":null},{"id":"452057be-1fb5-4fb3-adf6-be0c24c9d988","url":null,"eventId":"a824ab31-b013-4dd7-bece-011ae6b7ae3e","eventUrl":null,"userId":"b063cd2a-5c94-4b8e-90b0-10162fb64521","userUrl":null,"status":"Not attending","attendanceConfirmed":null,"fillingId":"0e56fc69-c8ee-48c7-98aa-ea623f50685b","fillingUrl":null,"creationDateTime":"2026-10-23T04:14:42.4534378+00:00","lastModifiedDateTime":null}]}
object
  count integer      
  ⯈ data array[object]      
   attendanceConfirmed boolean      
   creationDateTime datetimeoffset      
   eventId string / guid      
   eventUrl string      
   fillingId string / guid      
   fillingUrl string      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   status string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string